Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
CglMixIntRoundVUB Class Reference

`#include <CglMixedIntegerRounding.hpp>`

## Public Member Functions
| CglMixIntRoundVUB ()
| CglMixIntRoundVUB (const CglMixIntRoundVUB &source)
CglMixIntRoundVUB & | operator= (const CglMixIntRoundVUB &rhs)
| ~CglMixIntRoundVUB ()
int | getVar () const
double | getVal () const
void | setVar (const int v)
void | setVal (const double v)

## Protected Attributes
int | var_
double | val_

## Detailed Description

Definition at line 32 of file CglMixedIntegerRounding.hpp.

## Constructor & Destructor Documentation

CglMixIntRoundVUB::CglMixIntRoundVUB | ( |  | ) |
| inline

Definition at line 43 of file CglMixedIntegerRounding.hpp.

CglMixIntRoundVUB::CglMixIntRoundVUB | ( | const CglMixIntRoundVUB & | source | ) |
| inline

Definition at line 46 of file CglMixedIntegerRounding.hpp.

CglMixIntRoundVUB::~CglMixIntRoundVUB | ( |  | ) |
| inline

Definition at line 61 of file CglMixedIntegerRounding.hpp.

## Member Function Documentation

CglMixIntRoundVUB& CglMixIntRoundVUB::operator= | ( | const CglMixIntRoundVUB & | rhs | ) |
| inline

Definition at line 52 of file CglMixedIntegerRounding.hpp.

int CglMixIntRoundVUB::getVar | ( |  | ) | const
| inline

Definition at line 64 of file CglMixedIntegerRounding.hpp.

double CglMixIntRoundVUB::getVal | ( |  | ) | const
| inline

Definition at line 65 of file CglMixedIntegerRounding.hpp.

void CglMixIntRoundVUB::setVar | ( | const int | v | ) |
| inline

Definition at line 66 of file CglMixedIntegerRounding.hpp.

void CglMixIntRoundVUB::setVal | ( | const double | v | ) |
| inline

Definition at line 67 of file CglMixedIntegerRounding.hpp.

## Member Data Documentation

int CglMixIntRoundVUB::var_
| protected

Definition at line 38 of file CglMixedIntegerRounding.hpp.

double CglMixIntRoundVUB::val_
| protected

Definition at line 39 of file CglMixedIntegerRounding.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Cgl/src/CglMixedIntegerRounding/CglMixedIntegerRounding.hpp